Subject: Re: sh.exe: *** fatal error - couldn't allocate heap, Win32 error 487
From: Reini Urban <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2010 11:03:55 +0200
List-Id: <cygwin.cygwin.com>

2010/4/9 Ricardo Urbina:
> Hi. Last tuesday I updated my Cygwin installation from 1.7.1 to 1.7.4.
> And then I started getting these errors when running a perl script:
>
> % perlscript
>      3 [main] sh 11716 C:\cygwin\bin\sh.exe: *** fatal error -
> couldn't allocate heap, Win32 error 487, base 0x850000, top 0x890000,
> reserve_size 258048, allocsize 262144, page_const 4096
>      2 [main] sh 10172 fork: child -1 - died waiting for longjmp
> before initialization, retry 0, exit code 0x100, errno 11

First I need a http://cygwin.com/problems.html report

Second, you can try a lower rebase address, as pointed out in
http://cygwin.com/ml/cygwin/2010-04/msg00540.html
-- 
Reini Urban
http://phpwiki.org/           http://murbreak.at/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple